function [f,g]= ofg(x,PAR)
  nx=PAR.nvar;
  dx2=PAR.dx2;
%
% first modeling
  u=forward_model(nx,dx2,x,PAR.freq2,PAR.s);
%
% back-projection source
  sb=PAR.M'*(PAR.data-PAR.M*u);
%
% back-projection
  lambda=forward_model(nx,dx2,x,PAR.freq2,sb);
%
% compute the gradient
  L=sparse(-diag(ones(nx-1,1)/dx2,1)-diag(ones(nx-1,1)/dx2,-1)+2/dx2*diag(ones(nx,1)));
  g=lambda.*(L*u);
  f=.5*(PAR.data-PAR.M*u)'*(PAR.data-PAR.M*u);
end

